GET
/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/onlineInquiries2609170000按商品查询顾客咨询
# 01
简介
按商品查询顾客咨询
# 02
详细内容
API支持的买家用户地区:韩国、台湾
您可在此查询顾客与卖家的Q&A。卖家可通过该API查询在售商品的咨询记录。
查询时间段最长可设置为7天。
路径
GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/onlineInquiries
示例端点
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/onlineInquiries?inquiryStartAt=2019-06-25&inquiryEndAt=2019-06-26&vendorId=A00012345&answeredType=NOANSWER&pageSize=10&pageNum=1# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID
|
| vendorId* | string | 卖家ID
|
# 04
Query 参数
| Name | Type | Description | ||||||||
|---|---|---|---|---|---|---|---|---|---|---|
| answeredType* | string | Answer status
| ||||||||
| inquiryStartAt | string | 查询开始日期:格式: yyyy-MM-dd 最长查询日期间隔为一周。 您可查询该时间段内的所有咨询记录(inquiryEndAt -inquiryStartAt < = 7days)。 | ||||||||
| inquiryEndAt | string | 查询结束日期;格式: yyyy-MM-dd
| ||||||||
| pageNum | number | 当前页 默认值: 1 | ||||||||
| pageSize | number | 页面大小 默认值: 10; 最大: 50 |
# 05
响应体
响应消息
| Name | Type | Description |
|---|---|---|
| code | number | 服务器响应码
|
| message | string | 服务器响应消息
|
| data | object | 查询结果
|
| Content data.Content | object[] | 结果
|
| inquiryId data.Content[].inquiryId | number | Question Id 问题ID |
| productId data.Content[].productId | number | 显示商品ID
|
| sellerProductId data.Content[].sellerProductId | number | 注册商品ID
|
| sellerItemId data.Content[].sellerItemId | number | sellerItemId
|
| vendorItemId data.Content[].vendorItemId | number | 属性ID
|
| content data.Content[].content | string | 问题内容
|
| inquiryAt data.Content[].inquiryAt | string | |
| orderIds data.Content[].orderIds | object[] | 订单号 [16000009476673] |
| commentDtoList data.Content[].commentDtoList | object[] | 问题回复
|
| inquiryCommentId data.Content[].commentDtoList[].inquiryCommentId | number | Reply ID
|
| inquiryId data.Content[].commentDtoList[].inquiryId | number | Question ID
|
| content data.Content[].commentDtoList[].content | string | 问题回复内容
|
| inquiryCommentAt data.Content[].commentDtoList[].inquiryCommentAt | string | |
| pagination data.pagination | object | Pagination information
|
| currentPage data.pagination.currentPage | number | 当前页 默认值: 1 |
| totalPages data.pagination.totalPages | number | 总页数
|
| totalElements data.pagination.totalElements | number | 总咨询数
|
| countPerPage data.pagination.countPerPage | number | 每页咨询数
|
# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| -- | ||